Package org.bukkit.event.block

# Class BlockDamageAbortEvent

java.lang.Object
org.bukkit.event.Event
org.bukkit.event.block.BlockEvent
org.bukkit.event.block.BlockDamageAbortEvent

public class BlockDamageAbortEvent extends BlockEvent
Called when a player stops damaging a Block.

See Also:
  - `BlockDamageEvent`

## Nested Class Summary

## Nested classes/interfaces inherited from class org.bukkit.event.Event

`Event.Result`

## Field Summary

### Fields inherited from class org.bukkit.event.block.BlockEvent

`block`

## Constructor Summary

Constructors
Constructor
Description
`BlockDamageAbortEvent(@NotNull Player player, @NotNull Block block, @NotNull ItemStack itemInHand)`

## Method Summary

Modifier and Type
Method
Description
`static @NotNull HandlerList`
`getHandlerList()`
`@NotNull HandlerList`
`getHandlers()`
`@NotNull ItemStack`
`getItemInHand()`
Gets the ItemStack for the item currently in the player's hand.
`@NotNull Player`
`getPlayer()`
Gets the player that stopped damaging the block involved in this event.

### Methods inherited from class org.bukkit.event.block.BlockEvent

`getBlock`

### Methods inherited from class org.bukkit.event.Event

`callEvent, getEventName, isAsynchronous`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### BlockDamageAbortEvent

public BlockDamageAbortEvent(@NotNull @NotNull Player player, @NotNull @NotNull Block block, @NotNull @NotNull ItemStack itemInHand)

## Method Details

### getPlayer

@NotNull public @NotNull Player getPlayer()
Gets the player that stopped damaging the block involved in this event.

Returns:
  The player that stopped damaging the block

### getItemInHand

@NotNull public @NotNull ItemStack getItemInHand()
Gets the ItemStack for the item currently in the player's hand.

Returns:
  The ItemStack for the item currently in the player's hand

### getHandlers

@NotNull public @NotNull HandlerList getHandlers()

Specified by:
  `getHandlers` in class `Event`

### getHandlerList

@NotNull public static @NotNull HandlerList getHandlerList()